
Prelude Correlator - Bug #317

alert.impact unable to create path

09/18/2008 05:27 PM - 

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: fixed   

Description

Hi,

I'm using prelude-correlator and I having problems setting up brute-force attack.

18 Sep 16:08:52 (process:9522) ERROR: LUA error on 'brute_force': /usr/local/share/prelude-correlator/lua/lib.lua:54:

set(alert.impact.severity): unable to create path: Unknown IDMEF child 'impact'. (lua.c:148 lua_run)

in the code:

ctx:set("alert.impact.severity", "high")

impact.description is also getting errors

History

#1 - 09/19/2008 09:54 AM - Pierre Chifflier

Hi,

From an IDMEF point of view, impact is a child of assessment (not alert), so the rule should use "alert.assessment.impact.severity".

Could you try the attached patch ?

Pierre

#2 - 09/19/2008 04:01 PM - Yoann VANDOORSELAERE

- Status changed from New to Closed

- Resolution set to fixed

Thanks for reporting the issue, it has already been solved as of r10805.

Regards,

#3 - 09/19/2008 04:04 PM - 

Hi,

I tried myself that yesterday and was not working, I will later post the error here.

Regards,

Rui
#4 - 04/29/2009 12:20 PM - Yoann VANDOORSELAERE

- Project changed from PRELUDE SIEM to Prelude Correlator

- Category deleted (11)

- Target version deleted (91)

Files

brute-force_impact.patch 747 Bytes 09/19/2008 Pierre Chifflier
